# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without repolib

%define reltag .Beta2
%define namedversion %{version}%{?reltag}

Name:           jboss-specs-parent
Version:        1.0.0
Release:        0.3%{?reltag}%{?dist}
Epoch:          0
Summary:        JBoss Specification API Parent POM
License:        LGPLv2+
Group:          Development/Java
URL:            http://fisheye.jboss.org/browse/JBossAS/projects/specs/tags/jboss-specs-parent-1.0.0.Beta2
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/specs/tags/jboss-specs-parent-1.0.0.Beta2 && tar cjf jboss-specs-parent-1.0.0.Beta2.tar.bz2 jboss-specs-parent-1.0.0.Beta2
# Exported revision 110647.
Source0:	jboss-specs-parent-1.0.0.Beta2.tar.bz2
Source1:        jboss-specs-parent-settings.xml
Source2:        jboss-specs-parent-jpp-depmap.xml
Patch0:         jboss-specs-parent-pom.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  maven2
BuildRequires:  maven2-plugin-deploy
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Parent POM that allows building all specification projects at once.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n jboss-specs-parent-%{namedversion}
%patch0 -p0 -b .sav0

%if 0
%{__cp} -p %{SOURCE1} maven2-settings.xml
%{__sed} -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
%{__sed} -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
%{__sed} -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml

%{__mkdir} external_repo
%{__ln_s} %{_javadir} external_repo/JPP
%endif

%build
%if 0
export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository
export M2_SETTINGS=`pwd`/maven2-settings.xml
%{_bindir}/mvn-jpp \
        -e \
        -s ${M2_SETTINGS} \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
        deploy
%endif

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jboss-specs-parent.pom
%add_to_maven_depmap org.jboss.spec jboss-specs-parent %{namedversion} JPP/%{name} jboss-specs-parent

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/org/jboss/spec/jboss-specs-parent/%{namedversion}
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jboss-specs-parent.pom %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/org/jboss/spec/jboss-specs-parent/%{namedversion}/jboss-specs-parent-%{namedversion}.pom
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP.%{name}-jboss-specs-parent.pom
%{_mavendepmapfragdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Tue Feb 15 2011 David Walluck <dwalluck@redhat.com> 0:1.0.0-0.3.Beta2
- patch jboss-parent version to 4 (from 5)

* Mon Feb 14 2011 David Walluck <dwalluck@redhat.com> 0:1.0.0-0.2.Beta2
- fix spec file name

* Fri Feb 11 2011 David Walluck <dwalluck@redhat.com> 0:1.0.0-0.1.Beta2
- release
